-- Tasks table
CREATE TABLE IF NOT EXISTS tasks (
  id INTEGER PRIMARY KEY AUTOINCREMENT,
  description TEXT NOT NULL,
  assigned_to TEXT, -- WhatsApp user ID or phone number
  due_date TEXT, -- ISO 8601 date string (e.g., "2023-10-31")
  completed BOOLEAN DEFAULT FALSE
);

-- Groups table
CREATE TABLE IF NOT EXISTS groups (
  id TEXT PRIMARY KEY, -- WhatsApp group ID
  name TEXT NOT NULL DEFAULT 'Unnamed group',
  linked_parent TEXT -- Parent community ID
);

-- Users table (optional, for future use)
CREATE TABLE IF NOT EXISTS users (
  id TEXT PRIMARY KEY, -- WhatsApp user ID or phone number
  name TEXT NOT NULL
);
